Bug 1482040 - Update /etc/bashrc to avoid double sourcing
Summary: Update /etc/bashrc to avoid double sourcing
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: setup
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1193590
TreeView+ depends on / blocked
 
Reported: 2017-08-16 10:37 UTC by Siteshwar Vashisht
Modified: 2019-05-28 19:32 UTC (History)
3 users (show)

Fixed In Version: setup-2.10.8-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:32:35 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1193590 0 medium CLOSED Allow bash to have a default profile without the 'rootfiles' package 2021-02-22 00:41:40 UTC

Description Siteshwar Vashisht 2017-08-16 10:37:33 UTC
Description of problem:
Update /etc/bashrc to avoid double sourcing. See related bug https://bugzilla.redhat.com/show_bug.cgi?id=1193590#c18

Comment 1 Ondrej Vasik 2017-08-28 12:20:24 UTC
https://pagure.io/setup/c/be2c86a2fc92d18cfa326225a9d5c59a3b03a8b2?branch=master ... Built in Rawhide, closing.

Comment 2 Adam Williamson 2017-08-31 17:57:59 UTC
I think you broke something. This is what happens when you log in as a user right after install, in the most recent Rawhide compose:

https://openqa.fedoraproject.org/tests/135966#step/_console_wait_login/7

note the incorrect prompt - looks a lot like something wrong with profile loading. I can't see anything obviously related in the logs, but you can get them (a tarball of the whole contents of /var/log) here:

https://openqa.fedoraproject.org/tests/135966/file/_console_wait_login-var_log.tar.gz

This isn't a once-off problem, it's happening on every test that runs through this same path.

Comment 3 Ondrej Vasik 2017-09-01 07:54:39 UTC
Strange, the change looks harmless to me - 1st pass will source the profile.d scripts and there will be no 2nd pass. Maybe this envvar is kept for new instance of bash? But this sounds weird to me.
As there were some changes on the bash side as well, it would be good to check whether downgrade of setup package (or adjustments to /etc/bashrc) solve the issue.

Comment 4 Adam Williamson 2017-09-01 13:14:05 UTC
Ah, that's also possible - this change just stuck out in my memory as being obviously related, and happening in the right window. I will check, but it may not be till tomorrow, as I'm at Flock with a limited network connection. If you're curious to look into it, the URL of the affected image is https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20170830.n.1/compose/Server/x86_64/iso/Fedora-Server-dvd-x86_64-Rawhide-20170830.n.1.iso , just install - creating a user as you go - then boot and log in as the user. But otherwise, I'll look into it soon. Thanks!

(I also thought the change *looked* fine, but was thinking perhaps something odd happens during session initialization that makes it not work as it looks like it ought to...)

Comment 5 Adam Williamson 2017-09-01 14:17:10 UTC
So indeed bash did change something very related, too:

http://pkgs.fedoraproject.org/rpms/bash/c/a37e6bcc6c04bb78af3ac704f4ecce323406809d?branch=master

which could well be the issue. Given that, I'll file a new bug against bash and take it from there. Thanks!

Comment 6 Ondrej Vasik 2017-09-04 14:47:23 UTC
Based on discussion with bash maintainer, easiest way is to source /etc/bashrc from /etc/profile for bash (not for ksh nor dash). Done in Rawhide, hopefully it will fix the issues...

Comment 7 Siteshwar Vashisht 2017-10-09 12:55:38 UTC
There is a discussion in bug 1193590[1] to revert the change to source /etc/bashrc. It looks like the amount of work required to make this work significantly outweighs the benefit. Also, the changes will very likely be backward incompatible with previous versions of fedora (and rhel). If we agree to revert this change, we should revert it from every place.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1193590

Comment 8 Ondrej Vasik 2017-10-09 17:22:17 UTC
Ok, thanks for reopening, let's wait for the conclusions of the discussions - I don't want to switch it there and back.

Comment 10 Fedora End Of Life 2018-02-20 15:27:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 11 Ben Cotton 2019-05-02 22:05:40 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2019-05-28 19:32:35 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.